/*!\file:  GaussPoints.h
 * \brief
 */ 

#ifndef _GAUSSPOINTS_H
#define _GAUSSPOINTS_H

#define MAX_LINE_GAUS_PTS    4
void GaussLegendreLinear( double** pxgaus, double** pxwgt, int ngaus ); 
#define MAX_TRIA_SYM_ORD    20
void GaussLegendreTria( int* pngaus, double** pl1, double** pl2, double** pl3, double** pwgt, int iord );
#define MAX_TETRA_SYM_ORD    6
void GaussLegendreTetra( int* pngaus, double** pl1, double** pl2, double** pl3, double** pl4, double** pwgt, int iord );
#define MAX_LINE_GLOB_PTS    5
void GaussLobatto( double** pxgaus, double** pxwgt, int ngaus ); 
#define MAX_GAUS_ITER   30
void GaussRecur( double* zero, double* weight, int n, double* alpha, double* beta );

void gaussQuad( double** pxgaus, double** pxwgt, double** pegaus, double** pewgt, int nigaus, int njgaus );
void gaussHexa( double** pxgaus, double** pxwgt, double** pegaus, double** pewgt, double** pzgaus, double** pzwgt, int nigaus, int njgaus, int nkgaus );

#endif
